org.apache.lucene.facet.search

## Class MatchingDocsAsScoredDocIDs

- java.lang.Object
- - org.apache.lucene.facet.search.MatchingDocsAsScoredDocIDs

- All Implemented Interfaces:
    ScoredDocIDs

      public class MatchingDocsAsScoredDocIDs
      extends Object
      implements ScoredDocIDs

  Represents `FacetsCollector.MatchingDocs` as `ScoredDocIDs`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatchingDocsAsScoredDocIDs(List<FacetsCollector.MatchingDocs> matchingDocs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocIdSet` | `getDocIDs()` Returns the set of doc IDs.
    `ScoredDocIDsIterator` | `iterator()` Returns an iterator over the document IDs and their scores.
    `int` | `size()` Returns the number of scored documents.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MatchingDocsAsScoredDocIDs

          public MatchingDocsAsScoredDocIDs(List<FacetsCollector.MatchingDocs> matchingDocs)

  - ### Method Detail

    - #### iterator

          public ScoredDocIDsIterator iterator()
                                        throws IOException

      Description copied from interface: `ScoredDocIDs`
      Returns an iterator over the document IDs and their scores.
      Specified by:
        `iterator` in interface `ScoredDocIDs`
      Throws:
        `IOException`

    - #### getDocIDs

          public DocIdSet getDocIDs()

      Description copied from interface: `ScoredDocIDs`
      Returns the set of doc IDs.
      Specified by:
        `getDocIDs` in interface `ScoredDocIDs`

    - #### size

          public int size()

      Description copied from interface: `ScoredDocIDs`
      Returns the number of scored documents.
      Specified by:
        `size` in interface `ScoredDocIDs`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.